FUNCTION::PROBEFUNC(3stap)

NAME
function::probefunc - Return the probe point's function name, if known

SYNOPSIS

    probefunc:string()

ARGUMENTS

None

DESCRIPTION

This function returns the name of the function being probed based on the current address, as computed by symname(addr) or usymname(uaddr) depending on probe context (whether the probe is a user probe or a kernel probe).

PLEASE NOTE

this function's behaviour differs between SystemTap 2.0 and earlier versions. Prior to 2.0, probefunc obtained the function name from the probe point string as returned by pp, and used the current address as a fallback.

Consider using ppfunc instead.

SEE ALSO
tapset::context-symbols(3stap)